Package: unrar
Version: 1:3.7.3-1
Severity: wishlist
Tags: patch
Please could you use /etc/alternatives ? This would allow unrar-nonfree and
unrar-free to coexist on the same system, providing the pathname that all
applications (e.g. file-roller) expect to rely on as backend.
-- System Information:
Debian Release: 4.0
APT prefers testing
APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Versions of packages unrar depends on:
ii libc6 2.3.6.ds1-13 GNU C Library: Shared libraries
ii libgcc1 1:4.1.1-21 GCC support library
ii libstdc++6 4.1.1-21 The GNU Standard C++ Library v3
unrar recommends no packages.
-- no debconf information
diff -Nur unrar-nonfree-3.7.3.old/debian/postinst
unrar-nonfree-3.7.3/debian/postinst
--- unrar-nonfree-3.7.3.old/debian/postinst 1970-01-01 01:00:00.000000000
+0100
+++ unrar-nonfree-3.7.3/debian/postinst 2007-03-11 17:45:14.000000000 +0100
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ] || [ "$1" = "abort-upgrade" ]; then
+ update-alternatives --install /usr/bin/unrar unrar /usr/bin/unrar-nonfree
40 \
+ --slave /usr/share/man/man1/unrar.1.gz unrar.1.gz \
+ /usr/share/man/man1/unrar-nonfree.1.gz
+fi
+
+#DEBHELPER#
diff -Nur unrar-nonfree-3.7.3.old/debian/prerm unrar-nonfree-3.7.3/debian/prerm
--- unrar-nonfree-3.7.3.old/debian/prerm 1970-01-01 01:00:00.000000000
+0100
+++ unrar-nonfree-3.7.3/debian/prerm 2007-03-11 17:45:38.000000000 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "upgrade" ]; then
+ update-alternatives --remove unrar /usr/bin/unrar-nonfree
+fi
+
+#DEBHELPER#
diff -Nur unrar-nonfree-3.7.3.old/debian/rules unrar-nonfree-3.7.3/debian/rules
--- unrar-nonfree-3.7.3.old/debian/rules 2007-03-11 17:39:55.000000000
+0100
+++ unrar-nonfree-3.7.3/debian/rules 2007-03-11 17:52:38.000000000 +0100
@@ -25,10 +25,10 @@
dh_clean -k
dh_installdirs
- install -o root -g root -s -m 0755 unrar debian/unrar/usr/bin
+ install -o root -g root -s -m 0755 unrar
debian/unrar/usr/bin/unrar-nonfree
dh_installdocs
- dh_installman debian/unrar.1
+ dh_installman debian/unrar-nonfree.1
dh_installchangelogs
dh_strip
dh_compress